"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Random number generator (with private seed)
 */
var Random = /** @class */ (function () {
    function Random(seed) {
        if (seed === undefined) {
            seed = Math.random() * 2147483647;
        }
        this._seed = seed % 2147483647;
        if (this._seed <= 0)
            this._seed += 2147483646;
    }
    /**
     * Returns a pseudo-random value between 1 and 2^32 - 2.
     */
    Random.prototype.next = function () {
        return this._seed = this._seed * 16807 % 2147483647;
    };
    /**
     * Generates a pseudo-random floating point number in range [0, 1).
     */
    Random.prototype.nextFloat = function () {
        // We know that result of next() will be 1 to 2147483646 (inclusive).
        return (this.next() - 1) / 2147483646;
    };
    return Random;
}());
exports.Random = Random;
//# sourceMappingURL=Random.js.map